import { BioEntity } from '@/types/models';

export type PinListBioEntity = Pick<BioEntity, 'synonyms' | 'references'> & {
  symbol?: BioEntity['symbol'];
  stringType?: BioEntity['stringType'];
  fullName?: BioEntity['fullName'];
  x?: BioEntity['x'];
  y?: BioEntity['y'];
  elementId?: BioEntity['elementId'];
};

export type PinListBioEntityWithCoords = PinListBioEntity & {
  x: BioEntity['x'];
  y: BioEntity['y'];
};
