import { ZOD_SEED } from '@/constants';
import { mapModelSchema } from '@/models/modelSchema';
import { z } from 'zod';
// eslint-disable-next-line import/no-extraneous-dependencies
import { createFixture } from 'zod-fixture';

export const modelsFixture = createFixture(z.array(mapModelSchema), {
  seed: ZOD_SEED,
  array: { min: 3, max: 3 },
});

export const singleModelFixture = createFixture(mapModelSchema, {
  seed: ZOD_SEED,
  array: { min: 3, max: 3 },
});
